<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Company extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table="company";

    protected $fillable = [
        'company_name',
        'company_status'
    ];
    protected $hidden = [
        'created_at',
        'updated_at',
    ];
}