<?php

namespace App\Http\Controllers;

use App\Models\Contact;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Redirect;

class ContactUsController extends Controller
{
    public function getContactUs(Request $request)
    {
        $contact = Contact::first();
        return view('ContactUs.index', compact('contact'));
    }

    public function ContactUsUpload(Request $request)
    {
        $rules = [
            'contact_detail' => 'required'
        ];

        $request->validate($rules);

        $data = $request->all();

        $contact = Contact::first();

        $contactData = [
            'contact_detail' => $data['contact_detail']
        ];

        if ($contact) {
            Contact::where('contact_id', $contact->contact_id)->update($contactData);
            return back()->with('success', __('messages.edit', ['name' => 'Contact Us']));
        } else {
            Contact::create($contactData);
            return back()->with('success', __('messages.add', ['name' => 'Contact Us']));
        }
    }
}
