<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NotificationHistory extends Model
{
    use HasFactory;

    protected $table = 'notification_histories';
    protected $fillable = [
        'notification_history_id',
        'article_id',
        'app_user_id'
    ];
    protected $hidden = [
        'created_at',
        'updated_at',
    ];
    
    public function artical()
    {
        return $this->hasOne(Article::class, 'article_id','article_id');
    }
}
