<?php

namespace App\Http\Controllers;

use App\Models\Contact;
use App\Models\EmailDate;
use Illuminate\Http\Request;

use App\Models\DigestSetting;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Redirect;

class DigestController extends Controller
{
    public function getContactUs(Request $request)
    {
        //$contact=Contact::first();
        $digest_setting=DigestSetting::first();
        $email_date=EmailDate::where('e_status',1)->orderBy('e_date', 'desc')->first();
        
        return view('digest-settings.index',compact('email_date','digest_setting'));
    }

    public function ContactUsUpload(Request $request)
    {
       
        $data = $request->all();
        
        if($data['ds_id']==null)
        {
                 $time=$data['time'];
                // $data['time']=$time;
                // $a = '10 : 52 PM';
                //$x = preg_replace('/\s*:\s*/', ':',$time);
                //$data['time'] = $time->format('H:i');
                $data['time'] = Carbon::parse($time)->format('H:i:s');
               
                $d=DigestSetting::create($data)->toSql();

                return back()
                    ->with('success', __('messages.add', ['name' => 'Digest Setting']));
        }else{
            unset($data['_token']);
            $id=$data['ds_id'];
           
            DigestSetting::where('ds_id', $id)->update($data);
            
            return back()
                ->with('success', __('messages.edit', ['name' => 'Digest Setting']));
        }
    }
}
