<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Video;
use File;

class VideoController extends Controller
{
    public function getVideoUploadForm(Request $request)
    {
        $video = Video::first();

        return view('home.index', compact('video'));
    }

    public function uploadVideo(Request $request)
    {

        $rules = [
            'content1' => 'required',
            'content2' => 'required',
           // 'video1' => 'mimes:mp4,mov,ogg,qt',
            //'video2' => 'mimes:mp4,mov,ogg,qt',
        ];

        $request->validate($rules);

        $data = $request->all();

        $homeVideo = Video::first();

        /*if ($resource = $request->file('video1')) {

            if ($homeVideo && $resourceImage != '') {
                $videoPath = public_path('storage/' . $homeVideo->video1);
                if (File::exists($videoPath)) {
                    unlink($videoPath);
                }
            }

            $destinationPath = 'storage/videos';
            $resourceImage = "videos/" . rand(111111, 999999) . "." . $resource->getClientOriginalExtension();
            $resource->move($destinationPath, $resourceImage);
        }

        if ($resource2 = $request->file('video2')) {

            if ($homeVideo && $resourceImage2 != '') {
                $videoPath = public_path('storage/' .  $homeVideo->video2);
                if (File::exists($videoPath)) {
                    unlink($videoPath);
                }
            }

            $destinationPath2 = 'storage/videos';
            $resourceImage2 = "videos/" . rand(111111, 999999) . "." . $resource2->getClientOriginalExtension();
            $resource2->move($destinationPath2, $resourceImage2);
        }*/

        $videoData = [
                'content1' => $data['content1'],
                'content2' => $data['content2'],
                'video1' => $data['video1'],
                'video2' => $data['video2'],
        ];

        if ($homeVideo) {
            Video::where('id', $homeVideo->id)->update($videoData);
            return back()->with('success', __('messages.edit', ['name' => 'Home Video']));

        } else {
            Video::create($videoData);
            return back()->with('success', __('messages.add', ['name' => 'Home Video']));
        }
    }
}
