<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ContactUsHistory extends Model
{
    use HasFactory, SoftDeletes;

    protected $table="contact_us_histories";

    protected $fillable = [
        'name',
        'email',
        'phone_number',
        'message'
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];
}
