<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeviceToken extends Model
{
    use HasFactory;

    protected $primaryKey = "device_token_id";

    protected $table="device_tokens";

    protected $fillable = [
        'device_token_id',
        'app_user_id',
        'device_type',
        'device_token'
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function appUser(){
        return $this->belongsTo('App\Models\AppUser');
    }
}
