<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Database\Eloquent\SoftDeletes;

class GroupSubscription extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'group_subscriptions';
    protected $primaryKey = 'group_subscription_id';

    protected $fillable = [
        'company_name',
        'contact_name',
        'title',
        'email',
        'country_code',
        'phone_no',
        'number_of_subscription', 
        'subscription_start_date',
        'subscription_type',
        'group_subscription_status'
    ];

}
