<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Database\Eloquent\SoftDeletes;

class GroupSubscriptionTransactionHistory extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'group_subscription_transaction_histories';
    protected $primaryKey = 'group_subscription_transaction_history_id';

    protected $fillable = [
        'group_subscription_id',
        'subscription_id',
        'subscription_type',
        'subscription_start_date',
        'subscription_end_date',
        'amount',
        'status'
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

}
