<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Interest extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table="interest";

    protected $fillable = [
        'interest_name',
        'interest_status'
    ];
    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function scopeStatus($query, $value)
    {
        return $query->where('interest_status', $value);
    }
}