<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PaymentLog extends Model
{
    use HasFactory, SoftDeletes;
    protected $table="payment_logs";
    protected $fillable = [
        'transaction_id',
        'app_user_id',
        'auth_id',
        'message_code',
        'message',
        'amount',
        'status',
        'created_at',
        'subscription_id',
        'subscription_type',
        'subscription_start_date',
        'subscription_end_date'
    ];

    protected $hidden = [
        'updated_at',
    ];
}
